MultiPartOutputStream (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.util

## Class MultiPartOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.FilterOutputStream
    - - org.eclipse.jetty.util.MultiPartOutputStream

- All Implemented Interfaces:
    Closeable, Flushable, AutoCloseable

      public class MultiPartOutputStream
      extends FilterOutputStream

  Handle a multipart MIME response.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `MULTIPART_MIXED`
    `static String` | `MULTIPART_X_MIXED_REPLACE`

    - ### Fields inherited from class java.io.FilterOutputStream

      `out`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiPartOutputStream(OutputStream out)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` End the current part.
    `String` | `getBoundary()`
    `OutputStream` | `getOut()`
    `void` | `startPart(String contentType)` Start creation of the next Content.
    `void` | `startPart(String contentType, String[] headers)` Start creation of the next Content.
    `void` | `write(byte[] b, int off, int len)`

    - ### Methods inherited from class java.io.FilterOutputStream

      `flush, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MULTIPART_MIXED

          public static String MULTIPART_MIXED

    - #### MULTIPART_X_MIXED_REPLACE

          public static String MULTIPART_X_MIXED_REPLACE

  - ### Constructor Detail

    - #### MultiPartOutputStream

          public MultiPartOutputStream(OutputStream out)
                                throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### close

          public void close()
                     throws IOException

      End the current part.
      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Overrides:
        `close` in class `FilterOutputStream`
      Throws:
        `IOException` - IOException

    - #### getBoundary

          public String getBoundary()

    - #### getOut

          public OutputStream getOut()

    - #### startPart

          public void startPart(String contentType)
                         throws IOException

      Start creation of the next Content.
      Throws:
        `IOException`

    - #### startPart

          public void startPart(String contentType,
                       String[] headers)
                         throws IOException

      Start creation of the next Content.
      Throws:
        `IOException`

    - #### write

          public void write(byte[] b,
                   int off,
                   int len)
                     throws IOException

      Overrides:
        `write` in class `FilterOutputStream`
      Throws:
        `IOException`

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.